<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Наш фонд');
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/billing"style="text-decoration:none; color:white;">Биллинг</a> :: Пожертвование</div></div></div>';

if ($b['wmr'] != null) {
if (isset($_POST['ok'])) {
$rur = abs((int)$_POST['rur']);
$pass = check($_POST['pass']);
if (empty($rur)) {
err('Введите сумму!');
} elseif ($b['rur'] < $rur) {
err('У вас недостаточно средств!');
} elseif ($rur < 1 OR $rur > 8000) {
err('Ошибка! Сумма не должна быть меньше 1 или больше 8 000 руб.');
} elseif (empty($pass) OR sha1($pass.'gearnet') != $b['pass']) {
err('Пароль введен не верно!');
} else {
$sql = DB::$dbs->query("SELECT * FROM fond WHERE user_id = ? LIMIT 1", [$b['id']]);
$text = 'Вы пожертвовали [b]'.$rur.' руб.[/b] в фонд сайта.';
DB::$dbs->query("INSERT INTO `billing_hist` (`user_id`,`text`,`time`) VALUES (?,?,?)", [$b['id'],$text,time()]);
if ($sql -> rowCount() == 0) {
DB::$dbs->query("INSERT INTO `fond` (`user_id`,`suma`) VALUES (?,?)", [$b['id'],$rur]);
} else {
$a = $sql -> fetch();
DB::$dbs->query("UPDATE `fond` SET `suma` = `suma` + ? WHERE `id` = ?", [$rur,$a['id']]);
}
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` - ? WHERE `id` = ?", [$rur,$b['id']]);
bill(Nick($a['user_id']).' пожертвовал <b>'.$rur.'</b> руб в Фонд! ');
echo '<div class="alert alert-success"role="alert">Операция прошла успешно!</div>';
$title->GetMenu();
$title->GetFooter();
die();
}
}
echo'<div class="list-group-item media"><img src="/assets/images/kosh.gif" alt="" /> Мой баланс: <b>'.round($b['rur'], 2).'</b> руб.</div>';
echo '<div class="list-group-item media"><b>Сумма</b><br/><form action="?" method="post"><input name="rur" class="form-control" maxlength="7"/><br />Пароль: <br/><input class="form-control" name="pass"/><br /> <input type="submit" name="ok" class="btn btn-primary" value="Пожертвовать"/></form></div>';
} else err('Заполните WMR кошелек!');
$title->GetMenu();
$title->GetFooter();
?>